__gnu_cxx::array_allocator(3)

NAME
__gnu_cxx::array_allocator -

SYNOPSIS

Inherits array_allocator_base< _Tp >.

Detailed Description

  template<typename _Tp, typename _Array = std::tr1::array<_Tp>> class __gnu_cxx::array_allocator< _Tp, _Array >

Definition at line 90 of file array_allocator.h.

  Public Types
typedef _Array array_type
typedef const _Tp * const_pointer
typedef const _Tp & const_reference
typedef ptrdiff_t difference_type
typedef _Tp * pointer
typedef _Tp & reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions
const_pointer address (const_reference __x) const
pointer address (reference __x) const
pointer allocate (size_type __n, const void *=0)
template<typename _Tp1, typename _Array1> array_allocator (const array_allocator< _Tp1, _Array1 > &) throw ()
array_allocator (const array_allocator &__o) throw ()
array_allocator (array_type *__array=NULL) throw ()
void construct (pointer __p, const _Tp &__val)
void deallocate (pointer, size_type)
void destroy (pointer __p)
size_type max_size () const throw ()
~array_allocator () throw ()

  Public Attributes
array_type * _M_array

  Classes
struct rebind

Author

Generated automatically by Doxygen for libstdc++ from the source code.